import { ResolveUrlConfigType, GetRequestConfigType } from './HttpClients.types';
export declare type ConfigOverrideType = ResolveUrlConfigType & {
    lazy?: boolean;
    entityType?: string;
    method?: 'get' | 'post' | 'patch' | 'delete' | 'put';
    formData?: boolean;
    device?: string;
};
export declare type GetConfigOverride = GetRequestConfigType;
export declare type PostReturnType<T, R> = [((c?: {
    id?: number | string;
    payload?: T;
    config?: ConfigOverrideType;
}) => Promise<R>), boolean];
