var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import usePost from "./usePost";
/**
 * Hook to execute a put request, it uses as base the usePost hook
 * @param path
 * @param config
 */
var usePut = function (path, config) {
    return usePost(path, __assign(__assign({}, (config || {})), { method: 'put' }));
};
export default usePut;
//# sourceMappingURL=usePut.js.map